Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::make_range_fn Struct Reference
Core

## Public Member Functions
template<typename I , typename S >
range< I, S > | operator() (I begin, S end) const
template<typename I , typename S >
sized_range< I, S > | operator() (I begin, S end, iterator_size_t< I > size) const

## Member Function Documentation

template<typename I , typename S >

range<I, S> ranges::v3::make_range_fn::operator() | ( | I | begin,
|  | S | end
| ) |  | const

Returns
  `{begin, end}`

template<typename I , typename S >

sized_range<I, S> ranges::v3::make_range_fn::operator() | ( | I | begin,
|  | S | end,
|  | iterator_size_t< I > | size
| ) |  | const

Returns
  `{begin, end, size}`